task TNscope {

	File ref_dir
    File dbsnp_dir
    

	String SENTIEON_INSTALL_DIR
	String tumor_name
	String normal_name
	String docker
	String cluster_config

	String fasta
	File corealigner_bam
	File corealigner_bam_index
	String dbsnp
	String disk_size

	
	
	command <<<
		set -o pipefail
		set -e
		export SENTIEON_LICENSE=192.168.0.55:8990
		nt=$(nproc)
		${SENTIEON_INSTALL_DIR}/bin/sentieon driver -r ${ref_dir}/${fasta} -t $nt -i ${corealigner_bam} --algo TNscope --tumor_sample ${tumor_name} --normal_sample ${normal_name} --dbsnp ${dbsnp_dir}/${dbsnp} ${sample}.TNscope.TN.vcf
		
	>>>

	runtime {
		docker:docker
    	cluster: cluster_config
    	systemDisk: "cloud_ssd 40"
    	dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		File TNscope_vcf= "${sample}.TNscope.TN.vcf"
		File TNscope_vcf_index = "${sample}.TNscope.TN.vcf.idx"
	}

}